<?php

	$videographer_studio_tp_theme_css = "";

//body-layout
$videographer_studio_theme_lay = get_theme_mod( 'videographer_studio_tp_body_layout_settings','Full');
if($videographer_studio_theme_lay == 'Container'){
$videographer_studio_tp_theme_css .='body{';
	$videographer_studio_tp_theme_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
$videographer_studio_tp_theme_css .='}';
$videographer_studio_tp_theme_css .='@media screen and (max-width:575px){';
		$videographer_studio_tp_theme_css .='body{';
			$videographer_studio_tp_theme_css .='max-width: 100%; padding-right:0px; padding-left: 0px';
		$videographer_studio_tp_theme_css .='} }';
$videographer_studio_tp_theme_css .='.page-template-front-page .menubar{';
	$videographer_studio_tp_theme_css .='position: static;';
$videographer_studio_tp_theme_css .='}';
$videographer_studio_tp_theme_css .='.scrolled{';
	$videographer_studio_tp_theme_css .='width: auto; left:0; right:0;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_theme_lay == 'Container Fluid'){
$videographer_studio_tp_theme_css .='body{';
	$videographer_studio_tp_theme_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
$videographer_studio_tp_theme_css .='}';
$videographer_studio_tp_theme_css .='@media screen and (max-width:575px){';
		$videographer_studio_tp_theme_css .='body{';
			$videographer_studio_tp_theme_css .='max-width: 100%; padding-right:0px; padding-left:0px';
		$videographer_studio_tp_theme_css .='} }';
$videographer_studio_tp_theme_css .='.page-template-front-page .menubar{';
	$videographer_studio_tp_theme_css .='width: 99%';
$videographer_studio_tp_theme_css .='}';
$videographer_studio_tp_theme_css .='.scrolled{';
	$videographer_studio_tp_theme_css .='width: auto; left:0; right:0;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_theme_lay == 'Full'){
$videographer_studio_tp_theme_css .='body{';
	$videographer_studio_tp_theme_css .='max-width: 100%;';
$videographer_studio_tp_theme_css .='}';
}

//scrol-top
$videographer_studio_scroll_position = get_theme_mod( 'videographer_studio_scroll_top_position','Right');
if($videographer_studio_scroll_position == 'Right'){
$videographer_studio_tp_theme_css .='#return-to-top{';
    $videographer_studio_tp_theme_css .='right: 20px;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_scroll_position == 'Left'){
$videographer_studio_tp_theme_css .='#return-to-top{';
    $videographer_studio_tp_theme_css .='left: 20px;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_scroll_position == 'Center'){
$videographer_studio_tp_theme_css .='#return-to-top{';
    $videographer_studio_tp_theme_css .='right: 50%;left: 50%;';
$videographer_studio_tp_theme_css .='}';
}


// site title font size option
$videographer_studio_site_title_font_size = get_theme_mod('videographer_studio_site_title_font_size', 25);{
$videographer_studio_tp_theme_css .='.logo h1 , .logo p a{';
	$videographer_studio_tp_theme_css .='font-size: '.esc_attr($videographer_studio_site_title_font_size).'px;';
$videographer_studio_tp_theme_css .='}';
}

//site tagline font size option
$videographer_studio_site_tagline_font_size = get_theme_mod('videographer_studio_site_tagline_font_size', 15);{
$videographer_studio_tp_theme_css .='.logo p{';
	$videographer_studio_tp_theme_css .='font-size: '.esc_attr($videographer_studio_site_tagline_font_size).'px;';
$videographer_studio_tp_theme_css .='}';
}

// related post
$videographer_studio_related_post_mob = get_theme_mod('videographer_studio_related_post_mob', true);
$videographer_studio_related_post = get_theme_mod('videographer_studio_remove_related_post', true);
$videographer_studio_tp_theme_css .= '.related-post-block {';
if ($videographer_studio_related_post == false) {
    $videographer_studio_tp_theme_css .= 'display: none;';
}
$videographer_studio_tp_theme_css .= '}';
$videographer_studio_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($videographer_studio_related_post == false || $videographer_studio_related_post_mob == false) {
    $videographer_studio_tp_theme_css .= '.related-post-block { display: none; }';
}
$videographer_studio_tp_theme_css .= '}';

// slider btn
$videographer_studio_slider_button_mob = get_theme_mod('videographer_studio_slider_button_mob', true);
$videographer_studio_slider_button = get_theme_mod('videographer_studio_slider_button', true);
$videographer_studio_tp_theme_css .= '#slider .btn-1 {';
if ($videographer_studio_slider_button == false) {
    $videographer_studio_tp_theme_css .= 'display: none;';
}
$videographer_studio_tp_theme_css .= '}';
$videographer_studio_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($videographer_studio_slider_button == false || $videographer_studio_slider_button_mob == false) {
    $videographer_studio_tp_theme_css .= '#slider .btn-1 { display: none; }';
}
$videographer_studio_tp_theme_css .= '}';

//return to header mobile				
$videographer_studio_return_to_header_mob = get_theme_mod('videographer_studio_return_to_header_mob', true);
$videographer_studio_return_to_header = get_theme_mod('videographer_studio_return_to_header', true);
$videographer_studio_tp_theme_css .= '.return-to-header{';
if ($videographer_studio_return_to_header == false) {
    $videographer_studio_tp_theme_css .= 'display: none;';
}
$videographer_studio_tp_theme_css .= '}';
$videographer_studio_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($videographer_studio_return_to_header == false || $videographer_studio_return_to_header_mob == false) {
    $videographer_studio_tp_theme_css .= '.return-to-header{ display: none; }';
}
$videographer_studio_tp_theme_css .= '}';

//blog description              
$videographer_studio_mobile_blog_description = get_theme_mod('videographer_studio_mobile_blog_description', true);
$videographer_studio_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($videographer_studio_mobile_blog_description == false) {
    $videographer_studio_tp_theme_css .= '.blog-description{ display: none; }';
}
$videographer_studio_tp_theme_css .= '}';

//footer image
$videographer_studio_footer_widget_image = get_theme_mod('videographer_studio_footer_widget_image');
if($videographer_studio_footer_widget_image != false){
$videographer_studio_tp_theme_css .='#footer{';
	$videographer_studio_tp_theme_css .='background: url('.esc_attr($videographer_studio_footer_widget_image).');';
$videographer_studio_tp_theme_css .='}';
}

// related product
$videographer_studio_related_product = get_theme_mod('videographer_studio_related_product',true);
if($videographer_studio_related_product == false){
$videographer_studio_tp_theme_css .='.related.products{';
	$videographer_studio_tp_theme_css .='display: none;';
$videographer_studio_tp_theme_css .='}';
}

//menu font size
$videographer_studio_menu_font_size = get_theme_mod('videographer_studio_menu_font_size', '');{
$videographer_studio_tp_theme_css .='.main-navigation a, .main-navigation li.page_item_has_children:after,.main-navigation li.menu-item-has-children:after{';
	$videographer_studio_tp_theme_css .='font-size: '.esc_attr($videographer_studio_menu_font_size).'px;';
$videographer_studio_tp_theme_css .='}';
}

// menu text tranform
$videographer_studio_menu_text_tranform = get_theme_mod( 'videographer_studio_menu_text_tranform','');
if($videographer_studio_menu_text_tranform == 'Uppercase'){
$videographer_studio_tp_theme_css .='.main-navigation a {';
	$videographer_studio_tp_theme_css .='text-transform: uppercase;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_menu_text_tranform == 'Lowercase'){
$videographer_studio_tp_theme_css .='.main-navigation a {';
	$videographer_studio_tp_theme_css .='text-transform: lowercase;';
$videographer_studio_tp_theme_css .='}';
}
else if($videographer_studio_menu_text_tranform == 'Capitalize'){
$videographer_studio_tp_theme_css .='.main-navigation a {';
	$videographer_studio_tp_theme_css .='text-transform: capitalize;';
$videographer_studio_tp_theme_css .='}';
}
//======================= slider Content layout ===================== //

$videographer_studio_slider_content_layout = get_theme_mod('videographer_studio_slider_content_layout', 'LEFT-ALIGN');
$videographer_studio_tp_theme_css .= '#slider .carousel-caption{';

switch ($videographer_studio_slider_content_layout) {
    case 'LEFT-ALIGN':
        $videographer_studio_tp_theme_css .= 'text-align:left; right: 50%; left: 15%';
        break;
    case 'CENTER-ALIGN':
        $videographer_studio_tp_theme_css .= 'text-align:center; left: 20%; right: 20%';
        break;
    case 'RIGHT-ALIGN':
        $videographer_studio_tp_theme_css .= 'text-align:right; left: 50%; right: 15%';
        break;
    default:
        $videographer_studio_tp_theme_css .= 'text-align:left; right: 50%; left: 15%';
        break;
}

$videographer_studio_tp_theme_css .= '}';


//sale position
$videographer_studio_scroll_position = get_theme_mod( 'videographer_studio_sale_tag_position','right');
if($videographer_studio_scroll_position == 'right'){
$videographer_studio_tp_theme_css .='.woocommerce ul.products li.product .onsale{';
    $videographer_studio_tp_theme_css .='right: 25px !important;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_scroll_position == 'left'){
$videographer_studio_tp_theme_css .='.woocommerce ul.products li.product .onsale{';
    $videographer_studio_tp_theme_css .='left: 25px !important;';
$videographer_studio_tp_theme_css .='}';
}

//Font Weight
$videographer_studio_menu_font_weight = get_theme_mod( 'videographer_studio_menu_font_weight','');
if($videographer_studio_menu_font_weight == '100'){
$videographer_studio_tp_theme_css .='.main-navigation a{';
    $videographer_studio_tp_theme_css .='font-weight: 100;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_menu_font_weight == '200'){
$videographer_studio_tp_theme_css .='.main-navigation a{';
    $videographer_studio_tp_theme_css .='font-weight: 200;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_menu_font_weight == '300'){
$videographer_studio_tp_theme_css .='.main-navigation a{';
    $videographer_studio_tp_theme_css .='font-weight: 300;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_menu_font_weight == '400'){
$videographer_studio_tp_theme_css .='.main-navigation a{';
    $videographer_studio_tp_theme_css .='font-weight: 400;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_menu_font_weight == '500'){
$videographer_studio_tp_theme_css .='.main-navigation a{';
    $videographer_studio_tp_theme_css .='font-weight: 500;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_menu_font_weight == '600'){
$videographer_studio_tp_theme_css .='.main-navigation a{';
    $videographer_studio_tp_theme_css .='font-weight: 600;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_menu_font_weight == '700'){
$videographer_studio_tp_theme_css .='.main-navigation a{';
    $videographer_studio_tp_theme_css .='font-weight: 700;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_menu_font_weight == '800'){
$videographer_studio_tp_theme_css .='.main-navigation a{';
    $videographer_studio_tp_theme_css .='font-weight: 800;';
$videographer_studio_tp_theme_css .='}';
}else if($videographer_studio_menu_font_weight == '900'){
$videographer_studio_tp_theme_css .='.main-navigation a{';
    $videographer_studio_tp_theme_css .='font-weight: 900;';
$videographer_studio_tp_theme_css .='}';
}

// header
$videographer_studio_slider_arrows = get_theme_mod( 'videographer_studio_slider_arrows','true');
if($videographer_studio_slider_arrows == false){
$videographer_studio_tp_theme_css .='.page-template-front-page .headerbox{';
    $videographer_studio_tp_theme_css .='position:static;';
$videographer_studio_tp_theme_css .='}';
}

/*------------- Blog Page------------------*/
$videographer_studio_post_image_round = get_theme_mod('videographer_studio_post_image_round', 0);
if($videographer_studio_post_image_round != false){
    $videographer_studio_tp_theme_css .='.blog .box-image img{';
        $videographer_studio_tp_theme_css .='border-radius: '.esc_attr($videographer_studio_post_image_round).'px;';
    $videographer_studio_tp_theme_css .='}';
}

$videographer_studio_post_image_width = get_theme_mod('videographer_studio_post_image_width', '');
if($videographer_studio_post_image_width != false){
    $videographer_studio_tp_theme_css .='.blog .box-image img{';
        $videographer_studio_tp_theme_css .='Width: '.esc_attr($videographer_studio_post_image_width).'px;';
    $videographer_studio_tp_theme_css .='}';
}

$videographer_studio_post_image_length = get_theme_mod('videographer_studio_post_image_length', '');
if($videographer_studio_post_image_length != false){
    $videographer_studio_tp_theme_css .='.blog .box-image img{';
        $videographer_studio_tp_theme_css .='height: '.esc_attr($videographer_studio_post_image_length).'px;';
    $videographer_studio_tp_theme_css .='}';
}

// footer widget title font size
    $videographer_studio_footer_widget_title_font_size = get_theme_mod('videographer_studio_footer_widget_title_font_size', '');{
    $videographer_studio_tp_theme_css .='#footer h3{';
        $videographer_studio_tp_theme_css .='font-size: '.esc_attr($videographer_studio_footer_widget_title_font_size).'px;';
    $videographer_studio_tp_theme_css .='}';
    }

    // Copyright text font size
    $videographer_studio_footer_copyright_font_size = get_theme_mod('videographer_studio_footer_copyright_font_size', '');{
    $videographer_studio_tp_theme_css .='#footer .site-info p{';
        $videographer_studio_tp_theme_css .='font-size: '.esc_attr($videographer_studio_footer_copyright_font_size).'px;';
    $videographer_studio_tp_theme_css .='}';
    }

    // copyright padding
    $videographer_studio_footer_copyright_top_bottom_padding = get_theme_mod('videographer_studio_footer_copyright_top_bottom_padding', '');
    if ($videographer_studio_footer_copyright_top_bottom_padding !== '') { 
        $videographer_studio_tp_theme_css .= '.site-info {';
        $videographer_studio_tp_theme_css .= 'padding-top: ' . esc_attr($videographer_studio_footer_copyright_top_bottom_padding) . 'px;';
        $videographer_studio_tp_theme_css .= 'padding-bottom: ' . esc_attr($videographer_studio_footer_copyright_top_bottom_padding) . 'px;';
        $videographer_studio_tp_theme_css .= '}';
    }

    // copyright position
    $videographer_studio_copyright_text_position = get_theme_mod( 'videographer_studio_copyright_text_position','Center');
    if($videographer_studio_copyright_text_position == 'Center'){
    $videographer_studio_tp_theme_css .='#footer .site-info p{';
    $videographer_studio_tp_theme_css .='text-align:center;';
    $videographer_studio_tp_theme_css .='}';
    }else if($videographer_studio_copyright_text_position == 'Left'){
    $videographer_studio_tp_theme_css .='#footer .site-info p{';
    $videographer_studio_tp_theme_css .='text-align:left;';
    $videographer_studio_tp_theme_css .='}';
    }else if($videographer_studio_copyright_text_position == 'Right'){
    $videographer_studio_tp_theme_css .='#footer .site-info p{';
    $videographer_studio_tp_theme_css .='text-align:right;';
    $videographer_studio_tp_theme_css .='}';
}

// Header Image title font size
$videographer_studio_header_image_title_font_size = get_theme_mod('videographer_studio_header_image_title_font_size', '32');{
$videographer_studio_tp_theme_css .='.box-text h2{';
    $videographer_studio_tp_theme_css .='font-size: '.esc_attr($videographer_studio_header_image_title_font_size).'px;';
$videographer_studio_tp_theme_css .='}';
}


/*--------------------------- banner image Opacity -------------------*/
    $videographer_studio_theme_lay = get_theme_mod( 'videographer_studio_header_banner_opacity_color','0.5');
        if($videographer_studio_theme_lay == '0'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:0';
            $videographer_studio_tp_theme_css .='}';
        }else if($videographer_studio_theme_lay == '0.1'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:0.1';
            $videographer_studio_tp_theme_css .='}';
        }else if($videographer_studio_theme_lay == '0.2'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:0.2';
            $videographer_studio_tp_theme_css .='}';
        }else if($videographer_studio_theme_lay == '0.3'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:0.3';
            $videographer_studio_tp_theme_css .='}';
        }else if($videographer_studio_theme_lay == '0.4'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:0.4';
            $videographer_studio_tp_theme_css .='}';
        }else if($videographer_studio_theme_lay == '0.5'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:0.5';
            $videographer_studio_tp_theme_css .='}';
        }else if($videographer_studio_theme_lay == '0.6'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:0.6';
            $videographer_studio_tp_theme_css .='}';
        }else if($videographer_studio_theme_lay == '0.7'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:0.7';
            $videographer_studio_tp_theme_css .='}';
        }else if($videographer_studio_theme_lay == '0.8'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:0.8';
            $videographer_studio_tp_theme_css .='}';
        }else if($videographer_studio_theme_lay == '0.9'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:0.9';
            $videographer_studio_tp_theme_css .='}';
        }else if($videographer_studio_theme_lay == '1'){
            $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
                $videographer_studio_tp_theme_css .='opacity:1';
            $videographer_studio_tp_theme_css .='}';
        }

    $videographer_studio_header_banner_image_overlay = get_theme_mod('videographer_studio_header_banner_image_overlay', true);
    if($videographer_studio_header_banner_image_overlay == false){
        $videographer_studio_tp_theme_css .='.single-page-img, .featured-image{';
            $videographer_studio_tp_theme_css .='opacity:1;';
        $videographer_studio_tp_theme_css .='}';
    }

    $videographer_studio_header_banner_image_ooverlay_color = get_theme_mod('videographer_studio_header_banner_image_ooverlay_color', true);
    if($videographer_studio_header_banner_image_ooverlay_color != false){
        $videographer_studio_tp_theme_css .='.box-image-page{';
            $videographer_studio_tp_theme_css .='background-color: '.esc_attr($videographer_studio_header_banner_image_ooverlay_color).';';
        $videographer_studio_tp_theme_css .='}';
    }